<!DOCTYPE html>
<html ng-app="brewdogController">

  <head>
    <meta charset="UTF-8" />
    <title>BrewDog API Integration</title>
    <link rel="stylesheet" type="text/css" href="css/style.css">
  </head>

  <body ng-controller="MainController">
    <header>
      <div class="container">
        <img class="logo" src="assets/imgs/shield-logo.svg" onerror="this.src='/assets/imgs/shield-logo.png'">
        <div class="home-slideshow slider" data-cycle-caption-plugin='caption2'>
          <div class="cycle-overlay"></div>
          <div class="slide-image tint"><img src="assets/imgs/headerbanner1.jpg" alt="" data-cycle-title="Brewing process" data-cycle-desc="Find brewing information on Brewdog's beers"></div>
          <div class="slide-image tint"><img src="assets/imgs/headerbanner2.jpg" alt="" data-cycle-title="Beer &amp; Food." data-cycle-desc="Discover the best food to pair with your Brewdog beer."></div>
          <div class="slide-image tint"><img src="assets/imgs/headerbanner3.jpg" alt="" data-cycle-title="Scientific Stuff" data-cycle-desc="Review the original and final gravity values for the budding beer makers out there."></div>
        </div>
      </div>
    </header>

    <div class="controls">
      <div class="back_button">
        <span><a href="index-js.htm">Click here for the jQuery accordion</a></span>
      </div>
      <div class="option">
        <div>Choose view:</div>
          <select ng-model="switchView">
            <option value="">HTML/CSS Accordion
              <option value="grid">Grid
          </select>
        </div>

        <div class="option">
              <div>Order by:</div>
              <select ng-model="orderBy">
                <option value="">Name
                <option value="-abv">Highest Percentage
                <option value="abv">Lowest Percentage
                <option value="firstBrewed">First Brewed
              </select>
          </div>
        </div>

      <div class="body">
        <div ng-switch="switchView">
        <!-- Accordion View (This is the default view) -->
        <div ng-switch-default>
          <section class="beer-list-accordion">
            <div class="accordion">
              <div class="container">
              <ul>
                <li ng-repeat="beer in brewData | orderBy:orderBy" class="accordion-panel">
                  <input type="checkbox" checked>
                  <i></i>
                  <h2>{{beer.name}} <small class="tagline">- {{beer.tagline}}</small><span class="abv">4.5%</span></h2>
                  <div class="accordion-content">
                    <img src="{{beer.image_url}}" align="left" width="5%" style="float:left">
                    <p class="tagline">"{{beer.tagline}}"</p>
                    <p class="description">{{beer.description}}</p>
                    <p class="first_brewed">First Brewed: {{beer.first_brewed}}</p>
                  </div>
                </li>
              </ul>
            </div>
          </div>
          </section>
        </div>
        <!-- Accordion View End -->

        <!-- Grid View -->
        <div ng-switch-when="grid">
          <!-- CTA Grid -->
          <section class="cta-grid">
           <div class="flex-grid">
             <div class="col" ng-repeat="beer in brewData | orderBy:orderBy">
               <div class="beer-content">
                 <div class="header">
                   <img src="{{beer.image_url}}" class="thumbnail" align="left">
                   <div class="percentage">{{beer.abv}}%</div>
                 </div>
                 <div class="name">{{beer.name}}</div>
                 <div class="tagline">{{beer.tagline}}</div>
                 <div class="description">{{beer.description}}</div>
               </div>
             </div>
           </div>
          </section>
          <!-- CTA Grid End -->
        <!-- Grid View End -->
      </div>
    </div>

      </div>
      <footer>
		    <p>Copyright 2017 <a href="http://carvill.co" target="_blank">Carvill.co</a></p>
	 </footer>
  </body>
  <script src="http://ajax.googleapis.com/ajax/libs/jquery/1.8.1/jquery.min.js"></script>
  <script src="https://ajax.googleapis.com/ajax/libs/angularjs/1.6.4/angular.min.js"></script>
  <script src="http://code.angularjs.org/snapshot/angular-animate.js"></script>
  <script src="http://malsup.github.com/jquery.cycle2.js"></script>
  <script src="js/controller.js"></script>
  <script src="js/accordion.js"></script>
  <script src="js/carousel.js"></script>
</html>
